aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--tools/Crupest.V2ray/tools/crupest-v2ray.service8
-rwxr-xr-xtools/Crupest.V2ray/tools/edit-proxy12
2 files changed, 20 insertions, 0 deletions
diff --git a/tools/Crupest.V2ray/tools/crupest-v2ray.service b/tools/Crupest.V2ray/tools/crupest-v2ray.service
new file mode 100644
index 0000000..afe840f
--- /dev/null
+++ b/tools/Crupest.V2ray/tools/crupest-v2ray.service
@@ -0,0 +1,8 @@
+[Unit]
+Description=crupest v2ray service
+
+[Service]
+ExecStart=%h/.local/bin/Crupest.V2ray
+
+[Install]
+WantedBy=default.target
diff --git a/tools/Crupest.V2ray/tools/edit-proxy b/tools/Crupest.V2ray/tools/edit-proxy
new file mode 100755
index 0000000..a492ea1
--- /dev/null
+++ b/tools/Crupest.V2ray/tools/edit-proxy
@@ -0,0 +1,12 @@
+#! /usr/bin/env bash
+
+set -e
+
+p="$HOME/codes/crupest/tools/Crupest.V2ray/publish/proxy.txt"
+
+if [[ ! -f "$p" ]]; then
+ echo "File $p does not exist!"
+ exit 1
+fi
+
+exec vim "$p"